Bug 284214 - amarok: automatically scroll playlist to current track setting not working
Summary: amarok: automatically scroll playlist to current track setting not working
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Playlist (show other bugs)
Version: 2.6-git
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-16 19:18 UTC by missive
Modified: 2013-07-02 10:15 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.8


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description missive 2011-10-16 19:18:29 UTC
Version:           2.4.3 (using KDE 4.7.1) 
OS:                Linux

I am using a dynamic playlist. When a track ends and a new track starts the playlist ends up scrolled all the way to the bottom showing the newly added track instead of up near the top showing the currently playing track.

In the settings I have the General -> Playlist Options -> Automatically scroll playlist to current track setting checked.


Reproducible: Always

Steps to Reproduce:
Use dynamic playlist with enough total tracks to cause playlist to require scrolling.
Set "Automatically scroll playlist to current track" setting.

Actual Results:  
When track changes and new track is added playlist scrolls to last track.

Expected Results:  
Playlist should automatically show the currently playing track.

OS: Linux (i686) release 3.0.0-12-generic
Compiler: gcc
Comment 1 Aakash 2012-01-01 17:41:40 UTC
Yes indeed, I am able to reproduce the bugs on Amarok 2.5 running on KDE 4.7.4.
Comment 2 Myriam Schweingruber 2012-01-02 00:02:03 UTC
Thank you for testing :)
Comment 3 Mayank Madan 2012-12-01 07:29:05 UTC
can reproduce this on Amarok v2.6.0-421-gf66a306
Comment 4 vedant agarwala 2013-06-15 11:24:50 UTC
Patch uploaded: https://git.reviewboard.kde.org/r/111038/

Please review.
Comment 5 Myriam Schweingruber 2013-06-15 12:59:18 UTC
Vedant, please, take heed of what I told you in the other review request, please do tell what you are going to work on before starting to do so, really. It would spare us all some time.

amarok-devel@kde.org is the only relevant place for Amarok dicussions, please start your work there.
Comment 6 Mark Kretschmann 2013-07-02 10:15:29 UTC
Git commit 9dbdb8bde9836f2e17da9ef063cea66961324639 by Mark Kretschmann, on behalf of Vedant Agarwala.
Committed on 02/07/2013 at 10:02.
Pushed by markey into branch 'master'.

Fix the scrolling problem in dynamic playlists.

After the track was changed the "scroll to current playing track" worked
as per user settings. But in case of dynamic playlists after the tracks
were added (automatically) the PrettyListView scrolled to the tracks added
(i.e. it scrolled to the bottom). It took me so long to figure this out
and even longer to find a solution; but the patch was only of 2 lines.

Anyway I got a better understanding of the Playlist Model-View architecture :)
FIXED-IN: 2.8
REVIEW: 111038

M  +2    -0    ChangeLog
M  +2    -1    src/playlist/view/listview/PrettyListView.cpp

http://commits.kde.org/amarok/9dbdb8bde9836f2e17da9ef063cea66961324639